Bug 283979 - Consider CMake options changes in its configuration GUI
Summary: Consider CMake options changes in its configuration GUI
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Applications
Component: Build tools: CMake (show other bugs)
Version: 4.2.3
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: 4.2.3
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-14 10:44 UTC by Barade
Modified: 2011-12-19 03:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Barade 2011-10-14 10:44:27 UTC
Version:           4.2.3 (using KDE 4.7.1) 
OS:                Linux

You might know macros like CMAKE_DEPENDENT_OPTION which allow you to create options which do depend on other options.
If you're using KDevelops CMake configuration GUI dialog and you're selecting one option and press the "Apply" button it reconfigures the project but doesn't update newly available or NOT available options.
When reopening the dialog everything is displayed properly.

Reproducible: Always

Steps to Reproduce:
Use something like CMAKE_DEPENDENT_OPTION with some other options.


Expected Results:  
The CMake GUI dialog should be updated automatically.
Comment 1 Aleix Pol 2011-12-19 03:20:17 UTC
Git commit 6f9d9e247f0d124da62bd7e1084995e88c49459a by Aleix Pol.
Committed on 19/12/2011 at 04:19.
Pushed by apol into branch 'master'.

In the cmake preferences, after reconfiguring the project, reread the CMakeCache.txt file.

BUG: 283979

M  +17   -5    projectmanagers/cmake/settings/cmakecachemodel.cpp
M  +3    -1    projectmanagers/cmake/settings/cmakecachemodel.h
M  +1    -0    projectmanagers/cmake/settings/cmakepreferences.cpp

http://commits.kde.org/kdevelop/6f9d9e247f0d124da62bd7e1084995e88c49459a